#
# spec file for package python-pyleri
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) 2021, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pyleri
Version:        1.4.3
Release:        1.3
Summary:        Python Left-Right Parser
License:        MIT
URL:            https://github.com/transceptor-technology/pyleri
Source:         https://github.com/transceptor-technology/pyleri/archive/refs/tags/%{version}.tar.gz#/pyleri-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Python Left-Right Parser.

%prep
%setup -q -n pyleri-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE.txt
%doc README.md
%{python_sitelib}/pyleri
%{python_sitelib}/pyleri-%{version}.dist-info

%changelog
* Sat Apr  6 2024 Dirk Müller <dmueller@suse.com>
- update to 1.4.3:
  * Don't raise UnusedElementError when used has more elems than
    Grammar
* Sun Jan  7 2024 Dirk Müller <dmueller@suse.com>
- update to 1.4.2:
  * Fixed typing for delimiter on the List type.
  * Small PEP-8 fix.
- update to 1.4.1:
  * Added typing hints
- update to 1.4.0:
  * Extra keyword argument `line_number` to `.as_str(..)` method
    to include the line number with the error.
  * Regular expression object not with flags before the required
    `^` character.
- update to 1.3.4:
  * Fixed bug with recursion in Prio element. (issue #18)
* Sat Jul 17 2021 Martin Hauke <mardnh@gmx.de>
- Initial package, version 1.3.3
